%define upstream_name    Complete-Getopt-Long
%define upstream_version 0.481

%{?perl_default_filter}
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Summary:    Complete command-line argument using Getopt::Long specification
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Complete/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Complete::Bash) >= 0.333.0
BuildRequires: perl(Complete::Env)
BuildRequires: perl(Complete::File) >= 0.440.0
BuildRequires: perl(Complete::Util) >= 0.608.0
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp) >= 0.230.700
BuildRequires: perl(File::chdir)
BuildRequires: perl(Getopt::Long::Util) >= 0.895.0
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Log::ger) >= 0.38.0
BuildRequires: perl(String::Wildcard::Bash) >= 0.44.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Complete command-line argument using Getopt::Long specification

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Tue Sep 06 2022 tv <tv> 0.481.0-1.mga9
+ Revision: 1884561
- update to 0.481

* Mon Mar 21 2022 umeabot <umeabot> 0.480.0-2.mga9
+ Revision: 1813210
- Mageia 9 Mass Rebuild

* Thu Sep 10 2020 tv <tv> 0.480.0-1.mga8
+ Revision: 1624030
- update to 0.480

* Wed Jul 01 2020 tv <tv> 0.479.0-1.mga8
+ Revision: 1600854
- update to 0.479

* Fri Apr 17 2020 tv <tv> 0.478.0-1.mga8
+ Revision: 1568004
- update to 0.478

* Sat Apr 11 2020 tv <tv> 0.477.0-1.mga8
+ Revision: 1566461
- update to 0.477

* Fri Feb 14 2020 tv <tv> 0.475.0-2.mga8
+ Revision: 1520852
- update to 0.475
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Tue Dec 04 2018 shlomif <shlomif> 0.460.0-1.mga7
+ Revision: 1338277
- update to 0.46

* Wed Sep 19 2018 umeabot <umeabot> 0.370.0-5.mga7
+ Revision: 1266578
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.370.0-4.mga6
+ Revision: 1024273
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.370.0-3.mga6
+ Revision: 970226
- Mageia 6 Mass Rebuild

* Tue Sep 29 2015 sander85 <sander85> 0.370.0-2.mga6
+ Revision: 885140
- Exclude deps from _docdir

* Mon Sep 28 2015 sander85 <sander85> 0.370.0-1.mga6
+ Revision: 884438
- update to 0.37

* Sun Sep 06 2015 sander85 <sander85> 0.330.0-1.mga6
+ Revision: 873423
- update to 0.33

* Mon Jul 13 2015 sander85 <sander85> 0.320.0-1.mga6
+ Revision: 853700
- update to 0.32

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-3.mga5
+ Revision: 745792
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Wed Jul 30 2014 guillomovitch <guillomovitch> 0.120.0-1.mga5
+ Revision: 658305
- imported package perl-Complete-Getopt-Long

